/*
+-------------------------------- DISCLAIMER ---------------------------------+
|                                                                             |
| This application program is provided to you free of charge as an example.   |
| Despite the considerable efforts of Euresys personnel to create a usable    |
| example, you should not assume that this program is error-free or suitable  |
| for any purpose whatsoever.                                                 |
|                                                                             |
| EURESYS does not give any representation, warranty or undertaking that this |
| program is free of any defect or error or suitable for any purpose. EURESYS |
| shall not be liable, in contract, in torts or otherwise, for any damages,   |
| loss, costs, expenses or other claims for compensation, including those     |
| asserted by third parties, arising out of or in connection with the use of  |
| this program.                                                               |
|                                                                             |
+-----------------------------------------------------------------------------+
*/

//
//  FirstExpert Project
//
//  FirstExpert main header
//  File: FirstExpert.h
//////////////////////////////////////////////////////////////////////////////////

// Header macro definition
//////////////////////////////////////////////////////////////////////////////////
#ifndef FirstExpert_h
#define FirstExpert_h

// wxWindows Headers
//////////////////////////////////////////////////////////////////////////////////
#include "wx/wx.h"
#include "wx/docmdi.h"
#include "wx/splitter.h"
#include "wx/msgdlg.h"
#include "wx/dynarray.h"
#include "wx/datetime.h"

// GDK_RGB/wxGTK Headers
//////////////////////////////////////////////////////////////////////////////////
#include <gtk-2.0/gtk/gtk.h>
#include <gtk-2.0/gdk/gdk.h>
#include <gtk-2.0/gdk/gdkx.h>
#include "wx/gtk/win_gtk.h"

// Application Headers
//////////////////////////////////////////////////////////////////////////////////
#include "FirstExpertCanvas.h"
#include "FirstExpertDoc.h"
#include "MainFrame.h"
#include "FirstExpertView.h"
#include "FirstExpertApp.h"

// Enums
//////////////////////////////////////////////////////////////////////////////////

// IDs for the controls and the menu commands
enum
{
    // Menu items
    ID_ABOUT= wxID_HIGHEST+1,
    ID_GRAB
};

// Global functions and variables 
//////////////////////////////////////////////////////////////////////////////////

// + MultiCam FirstExpert sample program
extern const wxEventType EG_EVT_REFRESH;
// - MultiCam FirstExpert sample program

#endif // END of header macro definition
